Libgda/Libgnomedb 2.99.6 (AKA 3.0 RC1)
Posted on: 03/24/2007 01:50 PM

I'm pleased to annouce that libgda/libgnomedb version 2.99.6, AKA 3.0 RC1 have been released.

libgda/libgnomedb are a complete framewok for developing database-oriented applications, and actually allow access to PostgreSQL, MySQL, Oracle, Sybase, SQLite, FireBird/Interbase, IBM DB2, mSQL and MS SQL server, as well as MS Access and xBase files and ODBC data sources.

libgda/libgnomedb are part of the GNOME Office application suite, providing database access for many features in Gnumeric.

Changes from version 2.99.5 include:
For libgda:
-----------
- Merged several libraries into one for efficiency and because of inter-dependencies (yselkowitz, Gustavo R. Montesino, Christopher Taylor)
- More explicit API function names (Murray Cumming)
- Applications can now check installed DBMS providers (yselkowitz)
- C# bindings removed from the libgda's module (Murray Cumming)
- Added regression tests for SQL parsing and delimiting (Vivien Malerba)
- Reworked SQL delimiter and made the SQL parser report non parsed
characters (Vivien Malerba)
- Embedded SQLite is now 3.3.13 (Vivien Malerba)
- Added configure tests to work around changes in the MDB API (yselkowitz)
- Improved WIN32 building for Cygwin and MinGW (yselkowitz, Gustavo
R. Montesino, Christopher Taylor)
- Bug fixes: #407064, #411811, #314732, #390609, #353404, #411984,
#349548, #412122, #411811
(Leonardo Boshell, yselkowitz, Armin Burgmeier, Daniel Espinosa,
Murray Cumming, Christopher Taylor,
Vivien Malerba)
- Lots of minor bug fixes
- Translations:
- new dz translation (Pema Geyleg)
- sv (Daniel Nylander)
- en_GB (David Lodge)
- it (Marco Ciampa)

For libgnomedb:
---------------
- Corrected linker errors when using C++ (Murray Cumming)
- Spell corrections (Murray Cumming)
- Code cleanups (Murray Cumming)
- Data entry widgets improvements (Vivien Malerba)
- Removed the C# bindings (Murray Cumming)
- Always install the doc (Thomas Klausner)
- Lots of minor corrections (Armin Burgmeier, Vivien Malerba, Murray Cummi
ng)
- Bug fixes: #419063, #390609 (Yselkowitz, Murray Cumming)
- Translations:
- new 'dz' translation (Pema Geyleg)
- ca (Josep Puigdemont i Casamaj=F3)
- en_GB (David Lodge)
- sv (Daniel Nylander)
- vi (Clytie Siddall)

Tarballs are available (or should soon be) at
ftp://ftp.gnome.org/pub/GNOME/sources/libgda/1.99/ and
ftp://ftp.gnome.org/pub/GNOME/sources/libgnomedb/1.99/

To install this new version, you'll need:
* libgda: glib, libxml2, libxslt
* libgnomedb: libgda and dependencies, Gtk+ gt;= 2.6.0,
libglade, gtksourceview

You can find more information at the projects' homepage (http://www.gnome-db.org), or you can ask any question/propose anything you
want in the GNOME-DB mailing list, which is available at http://mail.gnome.org/mailman/listinfo/gnome-db-list


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/libgdalibgnomedb_2996_aka_30_rc1.html)